<%@ Application Language="C#" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {
        // Code that runs on application startup
    }
    
    void Application_End(object sender, EventArgs e) 
    {
        //  Code that runs on application shutdown
    }
        
    void Application_Error(object sender, EventArgs e) 
    { 
        // Code that runs when an unhandled error occurs
    }

    void Session_Start(object sender, EventArgs e) 
    {
        // Code that runs when a new session is started
    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.
    }

    void Profile_OnMigrateAnonymous(object sender, ProfileMigrateEventArgs args)
    {
        // otteniamo il profilo dell'utente anonimo
        ProfileCommon anonymousProfile = Profile.GetProfile(args.AnonymousID);
        // trasferiamo il carrello
        Profile.Carrello = anonymousProfile.Carrello;
        // cancelliamo il profilo anonimo
        ProfileManager.DeleteProfile(args.AnonymousID);
        // cancelliamo l'utente anonimo dal database
        Membership.DeleteUser(args.AnonymousID);
        // cancelliamo il cookie dell'utente anonimo
        AnonymousIdentificationModule.ClearAnonymousIdentifier();
    }      
</script>
